GRUB-MKSTANDALONE(1)

NAME
grub-mkstandalone - make a memdisk-based GRUB image

SYNOPSIS
grub-mkstandalone [OPTION] SOURCE...

DESCRIPTION
Generate a standalone image (containing all modules) in the selected format

-h, --help
    print this message and exit

-v, --version
    print the version information and exit

-o, --output=FILE
    save output in FILE [required]

-d, --directory=DIR
    use images and modules under DIR [default=/usr/local/lib/grub/<platform>]

-O, --format=FORMAT
    generate an image in FORMAT

    available formats: i386-coreboot i386-multiboot i386-pc i386-pc-pxe i386-efi i386-ieee1275 i386-qemu x86_64-efi mipsel-yeeloong-flash mipsel-fuloong2f-flash mipsel-loongson-elf powerpc-ieee1275 sparc64-ieee1275-raw sparc64-ieee1275-aout ia64-efi mips-arc mipsel-qemu_mips-elf mips-qemu_mips-flash mipsel-qemu_mips-flash mips-qemu_mips-elf

-C, --compression=(xz|none|auto)
    choose the compression to use

--modules=MODULES
    pre-load specified modules MODULES

--grub-mkimage=FILE
    use FILE as grub-mkimage

REPORTING BUGS
Report bugs to <bug-grub@gnu.org>.

SEE ALSO
grub-mkimage(1)

The full documentation for grub-mkstandalone is maintained as a Texinfo manual. If the info and grub-mkstandalone programs are properly installed at your site, the command

    info grub-mkstandalone

should give you access to the complete manual.